Some API parameters are wrongly documented as enum types
03/02/2018 06:09 PM - Toma$ Strachota

Status: Closed
Priority: Normal
Assignee: Toma$ Strachota
Category: API
Target version: 1.18.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5286
Description

There are several params in the apidoc that are wrongly documented as enum types. Authors most likely intended to validate the
parameter for multiple allowed values, but apipie interprets the array syntax as enum.
E.g.:

param :value, LookupKey::KEY_TYPES # -> [ string, boolean, integer, real, array, hash, yaml, Jjson
]

As a result hammer validates such options and raises an exception if ti contains values other than enumerated, which makes the
commands unusable.

Related issues:

Related to Hammer CLI - Bug #22751: Adding override values doesn't work with ... Closed 03/02/2018
Related to Foreman - Bug #17087: Updating default_value of a hash/array smart... Closed 10/25/2016
Related to Katello - Bug #22754: Content view filter rule name param is wrong... Closed 03/02/2018

Associated revisions

Revision cb591e34 - 03/08/2018 12:23 PM - Tomas Strachota
Fixes #22753 - add apipie validator for multiple allowed types

History

#1 - 03/02/2018 06:11 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Tomas Strachota

- Pull request https://github.com/theforeman/foreman/pull/5286 added

#2 - 03/02/2018 06:13 PM - Tomas Strachota
- Related to Bug #22751: Adding override values doesn't work with 1.17 added

#3 - 03/02/2018 06:13 PM - Tomas Strachota

- Related to Bug #17087: Updating default_value of a hash/array smart class parameter with a non string value should return an error message added

#4 - 03/02/2018 06:19 PM - Tomas Strachota

- Related to Bug #22754: Content view filter rule name param is wrongly documented as enum added

#5 - 03/08/2018 01:56 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
Applied in changeset cb591e34f4e1f462b826a5{391bed20ceb192da3.

#6 - 03/08/2018 04:34 PM - lvan Necas

- translation missing: en.field_release set to 330
